#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
	Super-Markdown
	==============

	a Python library to export a complex Markdown file into a standalone HTML file.


	It will include:

	* [Mermaid.js][mermaid.js] to create diagrams with javascript
	* [graphviz][graphviz] to create Diagrams in 
	 [Dot language](https://en.wikipedia.org/wiki/DOT_(graph_description_language))
	* [Markdown-TOC][Markdown-TOC] to create Table of Content 
	* [markdown-checklist][markdown-checklist] to support create Checklists
	* [Github Flavoured MarkdownStylesheet][GFM]

	Author
	------

	[Rousseau Alexandre][madeindjs]

	License
	-------

	[MIT](https://opensource.org/licenses/MIT)


	[super-markdown]: https://github.com/madeindjs/Super-Markdown.git

	[Python-Markdown]: https://pythonhosted.org/Markdown/
	[graphviz]: https://pypi.python.org/pypi/graphviz
	[Markdown-TOC]: https://pythonhosted.org/Markdown/extensions/toc.html
	[markdown-checklist]: https://github.com/FND/markdown-checklist
	[mermaid.js]: https://github.com/knsv/mermaid
	[GFM]: https://gist.github.com/andyferra/2554919

	[madeindjs]: https://github.com/madeindjs/

"""


__version__ = "0.2.2"


from SuperMarkdown.SuperMarkdown import SuperMarkdown